From: Nathanael Esayeas <nathanael.esayeas@protonmail.com>
Date: Fri, 19 May 2023 17:51:39 -0500
Subject: Delete TestListener.php

Signed-off-by: Nathanael Esayeas <nathanael.esayeas@protonmail.com>

Origin: upstream, https://github.com/mockery/mockery/commit/61e0338ac0fa46aa7cf4b42ac3968b1c26b90b28
---
 library/Mockery/Adapter/Phpunit/TestListener.php | 38 ------------------------
 1 file changed, 38 deletions(-)
 delete mode 100644 library/Mockery/Adapter/Phpunit/TestListener.php

diff --git a/library/Mockery/Adapter/Phpunit/TestListener.php b/library/Mockery/Adapter/Phpunit/TestListener.php
deleted file mode 100644
index 1ae8458..0000000
--- a/library/Mockery/Adapter/Phpunit/TestListener.php
+++ /dev/null
@@ -1,38 +0,0 @@
-<?php
-
-/**
- * Mockery (https://docs.mockery.io/)
- *
- * @copyright https://github.com/mockery/mockery/blob/HEAD/COPYRIGHT.md
- * @license https://github.com/mockery/mockery/blob/HEAD/LICENSE BSD 3-Clause License
- * @link https://github.com/mockery/mockery for the canonical source repository
- */
-
-namespace Mockery\Adapter\Phpunit;
-
-use PHPUnit\Framework\Test;
-use PHPUnit\Framework\TestListener as PHPUnitTestListener;
-use PHPUnit\Framework\TestListenerDefaultImplementation;
-use PHPUnit\Framework\TestSuite;
-
-class TestListener implements PHPUnitTestListener
-{
-    use TestListenerDefaultImplementation;
-
-    private $trait;
-
-    public function __construct()
-    {
-        $this->trait = new TestListenerTrait();
-    }
-
-    public function endTest(Test $test, float $time): void
-    {
-        $this->trait->endTest($test, $time);
-    }
-
-    public function startTestSuite(TestSuite $suite): void
-    {
-        $this->trait->startTestSuite();
-    }
-}
